Project

General

Profile

Bug #1565

Cannot use calibre app

Added by achmetinternet over 6 years ago. Updated over 6 years ago.

Status:
Closed
Priority:
Normal
Category:
-
Target version:
-
Start date:
10/22/2014
Due date:
% Done:

0%


Description

I get the following errors when I try to add a book via CLI and consequently wanted to set the path for the library. I also think the app is outdated, the official version is 2.6.

[root@localhost web-apps]# calibredb add /mnt/samba/Torrents/books/Der\ Weihnachtshund\ \(40\)/
Traceback (most recent call last):
File "/usr/bin/calibredb", line 20, in <module>
sys.exit(main())
File "/usr/lib64/calibre/calibre/library/cli.py", line 1474, in main
return command(args[2:], dbpath)
File "/usr/lib64/calibre/calibre/library/cli.py", line 394, in command_add
do_add(get_db(dbpath, opts), args[1:], opts.one_book_per_directory,
File "/usr/lib64/calibre/calibre/library/cli.py", line 60, in get_db
raise ValueError('No saved library path, either run the GUI or use the'
ValueError: No saved library path, either run the GUI or use the --with-library option
[root@localhost web-apps]# calibre-server --with-library /mnt/samba/Calibre/
C[OP[root@localhost web-apps]# calibre-server --with-library /var/hda/files/calibre
^CTraceback (most recent call last):
File "/usr/bin/calibre-server", line 19, in <module>
from calibre.library.server.main import main
File "/usr/lib64/calibre/calibre/library/server/main.py", line 11, in <module>
from calibre.library.server.base import LibraryServer
File "/usr/lib64/calibre/calibre/library/server/base.py", line 11, in <module>
import cherrypy
File "/usr/lib/python2.7/site-packages/cherrypy/__init__.py", line 74, in <module>
from cherrypy import _cprequest
File "/usr/lib/python2.7/site-packages/cherrypy/_cprequest.py", line 10, in <module>
from cherrypy import _cpreqbody, _cpconfig
File "/usr/lib/python2.7/site-packages/cherrypy/_cpreqbody.py", line 102, in <module>
"""
KeyboardInterrupt
[root@localhost web-apps]# calibre-server --with-library /mnt/samba/Calibre/

History

#1 Updated by achmetinternet over 6 years ago

When I try to use the filename of the library "metadata.db" in the command I get the following error:

[root@localhost ~]# calibre-server --with-library /mnt/samba/Calibre/metadata.db
Traceback (most recent call last):
File "/usr/bin/calibre-server", line 20, in <module>
sys.exit(main())
File "/usr/lib64/calibre/calibre/library/server/main.py", line 118, in main
db = LibraryDatabase(os.path.expanduser(opts.with_library))
File "/usr/lib64/calibre/calibre/db/legacy.py", line 69, in init
progress_callback=progress_callback)
File "/usr/lib64/calibre/calibre/db/legacy.py", line 43, in create_backend
progress_callback=progress_callback)
File "/usr/lib64/calibre/calibre/db/backend.py", line 343, in init
if self.user_version == 0:
File "/usr/lib64/calibre/calibre/db/backend.py", line 1028, in fget
return self.conn.get('pragma user_version;', all=False)
File "/usr/lib64/calibre/calibre/db/backend.py", line 782, in conn
self._conn = Connection(self.dbpath)
File "/usr/lib64/calibre/calibre/db/backend.py", line 239, in init
apsw.Connection.__init__(self, path)
apsw.CantOpenError: CantOpenError: unable to open database file

#2 Updated by bigfoot65 over 6 years ago

  • Status changed from New to Feedback
  • Assignee set to achmetinternet

This app has not been updated in quite some time. It's in ALPHA, so not surprised it does not work.

We cannot help you currently with this one. It's a low priority to update since it's not LIVE. We have other priorities that require attention.

If you would like to work on updating it and getting it to work correctly, please let us know and we can give you access to do so.

Otherwise, recommend closing this bug.

#3 Updated by bigfoot65 over 6 years ago

  • Status changed from Feedback to Closed

No response indicates no further action required. Closing.

Also available in: Atom